Bug 207615 - Gnome Power Manager Does Not Notify of Critical Battery State
Gnome Power Manager Does Not Notify of Critical Battery State
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2006-09-21 17:39 EDT by Jonathan Steffan
Modified: 2013-03-05 22:47 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-10 20:23:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jonathan Steffan 2006-09-21 17:39:16 EDT
Description of problem:
Gnome power manager does not alert when the battery is going to or is close to
dieing. I know the settings are offered as the following:

Running on Battery -> Actions:
"When battery power critical:"
a. Do Nothing
b. Suspend
c. Hibernate
d. Shutdown

As Suspend and Hibernate don't work on my latop (another issue,) I have set the
action to "Do Nothing". Some would say "Do Nothing" is exactly that. Well either
"Do Nothing" needs to at least notify the user of a pending power loss or there
needs to be another Action that is "Notify User" or something.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start work and get involved with projects while on battery power at your
local wifi hot spot.
2. Don't mouse over the meter every minute.
3. Lose power, work, etc. when the battery dies on you.
Actual results:
Power is lost and laptop powers off.

Expected results:
At minimal, a notification that power levels are critical with enough time to
plug in laptop.

Additional info:
Gnome Power Manager tells me when my battery is charged. Nice feature. Why does
it not tell me when my battery needs to be charged? The good looking
notification that tells me that my battery is charged should also be used to
warn me that the battery is dieing and I need to charge it before a power loss
occurs. Potentially have a configurable setting for at which percent the
notification(s) appear.
Comment 1 Richard Hughes 2006-09-21 18:28:41 EDT
It should already warn you at least twice. What percentage and time remaining
does your laptop "die" on you?
Comment 2 Jonathan Steffan 2006-09-21 18:41:03 EDT
I have seen it down to 1-5% when I do manage to catch it. It seems to die
between 1-3%. My laptop has a little charging LED (in a poor place) that will
flash when the computer knows it will die and when it is flashing (when I do
notice) the charge is listed between 1-5%.
Comment 3 Jonathan Steffan 2006-10-12 15:15:36 EDT
I just watched it closely this time. gnome-power-manager reported 0% and still I
got no notification.
Comment 4 Richard Hughes 2006-10-22 11:15:59 EDT
But what *time* did g-p-m report?
Comment 5 Jonathan Steffan 2006-10-24 04:26:48 EDT
It does not give a time for me. Only a percent. It does give a time until charge
will be complete.
Comment 6 Richard Hughes 2006-10-24 04:55:08 EDT
Sounds like you have a broken bios. Can you try setting
/apps/gnome-power-manager/use_time_for_policy to false using gconf-editor please.
Comment 7 Jonathan Steffan 2006-11-22 13:21:07 EST
I tried this. Failed on me twice now. Not fun. Anything else to try? This really
needs to be fixed.
Comment 8 Richard Hughes 2006-11-24 16:53:18 EST
Perhaps you could try FC6 - 2.14.x is very old, and 2.16.x solves many bugs. FC6
also has a HAL with a bucketload more fixes in than FC5. I would say this is the
best option if you want it to work out of the box without hacking about too much.
Comment 9 Jonathan Steffan 2006-11-24 17:13:19 EST
My latop has been updated to FC6 since release. Sorry I didn't mention that.

Comment 10 warren 2007-01-16 13:58:07 EST
this behavior is the same on my new sony vaio with a fresh install of FC6

immediately when i unplug the laptop after sitting for days charging i'll get a
message like "power low, you have approximately 13 minutes of remaining battery
life (96%). plug in your ac power cable to avoid loing data"

this happens almost instantly upon removal of the ac cable.

message me if further information is required.

thanks for your time and effort in this matter.
Comment 11 Jonathan Steffan 2007-01-20 04:20:50 EST
I got my first ever notification that my battery was going to die. I'll test it
some more and report again.

Comment 12 Jonathan Steffan 2007-05-23 14:31:55 EDT
Everything has been working since the 2.6.19-1.2895.fc6 kernel.

Note You need to log in before you can comment on or make changes to this bug.